<h1 matDialogTitle>Filter Barang</h1>
<div mat-dialog-content>
    <div>
        <div>
            <mat-checkbox [(ngModel)]="checkedCategory" [ngModelOptions]="{standalone: true}">Kategori Barang</mat-checkbox>
        </div>
        <div>
            <mat-form-field style="width:100%">
                <mat-select class="input-block" [disabled]="!checkedCategory" placeholder="Kategori Barang" [(ngModel)]="itemCategory" name="itemCategory" id="itemCategory">
                    <mat-option *ngFor="let category of categories" [value]="category">
                        {{ category.categoryName }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div>
        <div>
            <mat-checkbox [(ngModel)]="checkedEntrusted" [ngModelOptions]="{standalone: true}">Barang Orang</mat-checkbox>
        </div>
        <div>
            <mat-form-field class="input-block">
                <input matInput [disabled]="!checkedEntrusted" [(ngModel)]="itemEntrustedStatus" placeholder="Barang Orang" name="itemEntrustedStatus" id="itemEntrustedStatus">
                <button mat-button *ngIf="itemEntrustedStatus" [disabled]="!checkedEntrusted" matSuffix mat-icon-button aria-label="Clear" (click)="itemEntrustedStatus=''">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
        </div>
    </div>
    <div>
        <div>
            <mat-checkbox [(ngModel)]="checkedSold" [ngModelOptions]="{standalone: true}">Status Barang</mat-checkbox>
        </div>
        <div>
            <mat-form-field style="width:100%">
                <mat-select class="input-block" [disabled]="!checkedSold" placeholder="Status Barang" [(ngModel)]="itemSoldStatus" name="itemSoldStatus" id="itemSoldStatus">
                    <mat-option *ngFor="let soldStatus of soldStatusOption" [value]="soldStatus">
                        {{ soldStatus.status }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div *ngIf="messageSoldStatus" id="warning_message">
        {{ messageSoldStatus }}
    </div>
    <div *ngIf="messageItemCategory" id="warning_message">
        {{ messageItemCategory }}
    </div>
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="primary" mat-button (click)="initiateFilter()">Filter</button>
    <button mat-raised-button color="warn" mat-button (click)="dialogRef.close(false)">Batal</button>
</div>